Subject: [Rfc-markdown] 1.3.13: Triple brace syntax 🡡 <contact/>, warning for missing brace

From: Carsten Bormann <[email-masked]>
Date: Tue, 6 Oct 2020 17:47:18 +0200

1.3.13:

{{foo}
(missing final brace) now elicits a warning and is processed like 
{{foo}}

(Thanks to Julian Reschke for pointing me to https://www.ietf.org/id/draft-ietf-quic-http-31.html#section-4.3 as another example why this might be useful; I’ve seen several before.)

Note that the authors of RFC1436, RFC3951, and RFC8569 might now need to add a backslash (if they use {{foo} outside <sourcecode/>); I considered this slight incursion into potentially existing markdown to be acceptable.  Feedback welcome.

While I was fooling around with braces, I also put in some basic syntax for <contact/> in text:

{{{Jürgen Möllemann}}}
and
{{{トヨタ自動車株式会社}{Toyota Jidosha}}}
create contact elements with fullname and optionally asciiFullname attributes:

<contact fullname="Jürgen Möllemann"/>
<contact fullname="トヨタ自動車株式会社" asciiFullname="Toyota Jidosha"/></t>

N.B. I know that the transliteration is wrong, but we don’t have latinFullname, just asciiFullname; I have enquired on rfc-interest why this is so.

(And please note the discussion in <https://mailarchive.ietf.org/arch/msg/rfc-markdown/e9nnRhTVna5zM2wyfa-l-smYUMw> for why I ultimately did go ahead with syntax that remotely reminds one of triple parentheses.)

Update as usual with

	gem update
or just
	gem update kramdown-rfc2629

Grüße, Carsten